libzypp 17.37.10

ServiceInfo.cc File Reference
`#include <ostream>`
`#include <iostream>`
`#include <zypp/base/String.h>`
`#include <zypp-core/base/DefaultIntegral>`
`#include <zypp/parser/xml/XmlEscape.h>`
`#include <zypp/RepoInfo.h>`
`#include <zypp/ServiceInfo.h>`

Go to the source code of this file.

## Classes
struct | zypp::ServiceInfo::Impl

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Functions
std::ostream & | zypp::operator<< (std::ostream &str, const ServiceInfo::RepoState &obj)
std::ostream & | zypp::operator<< (std::ostream &str, const ServiceInfo &obj)
ZYPP_API detail::EscapedString | escape (const std::string &in_r)
| Escape xml special charaters (& -> &; from IoBind library).

## Function Documentation

## ◆ escape()

ZYPP_API detail::EscapedString zypp::xml::escape | ( | const std::string & | in_r | ) |
| inline

Escape xml special charaters (& -> &; from IoBind library).

The detail::EscapedString can be dumped to an ostream and implicitly converts into a std::string.

Definition at line 51 of file XmlEscape.h.